Overview | Package | Class | Use | Tree | Deprecated | Index
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.emf.ecp.view.dynamictree.model
Interface TestElementContainer

All Superinterfaces:
  org.eclipse.emf.ecore.EObject, org.eclipse.emf.common.notify.Notifier

All Known Implementing Classes:
  TestElementContainerImpl

    public interface TestElementContainer

extends org.eclipse.emf.ecore.EObject

A representation of the model object 'Test Element Container'.

The following features are supported:

- `Test Elements`
- `Id`

See Also:
  `ModelPackage.getTestElementContainer()`

Method Summary
`String` | `getId()` Returns the value of the 'Id' attribute.
`org.eclipse.emf.common.util.EList<TestElement>` | `getTestElements()` Returns the value of the 'Test Elements' containment reference list.
`void` | `setId(String value)` Sets the value of the '`Id`' attribute.

Methods inherited from interface org.eclipse.emf.ecore.EObject
`eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eInvoke, eIsProxy, eIsSet, eResource, eSet, eUnset`

Methods inherited from interface org.eclipse.emf.common.notify.Notifier
`eAdapters, eDeliver, eNotify, eSetDeliver`

Method Detail

### getTestElements

    org.eclipse.emf.common.util.EList<TestElement> getTestElements()

  Returns the value of the 'Test Elements' containment reference list. The list contents are of type `TestElement`.

  If the meaning of the 'Test Elements' containment reference list isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Test Elements' containment reference list.
  See Also:
    `ModelPackage.getTestElementContainer_TestElements()`

### getId

    String getId()

  Returns the value of the 'Id' attribute.

  If the meaning of the 'Id' attribute isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Id' attribute.
  See Also:
    `setId(String)`, `ModelPackage.getTestElementContainer_Id()`

### setId

    void setId(String value)

  Sets the value of the '`Id`' attribute.

  Parameters:
    `value` - the new value of the 'Id' attribute.
  See Also:
    `getId()`

Overview | Package | Class | Use | Tree | Deprecated | Index
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2015. All Rights Reserved.